ubuntu-location-service: com::ubuntu::location::connectivity::Manager Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::connectivity::Manager Class Referenceabstract

The Manager class encapsulates access to network/radio information. More...

`#include <manager.h>`

Collaboration diagram for com::ubuntu::location::connectivity::Manager:

## Classes
struct | Errors

## Public Member Functions
virtual const core::Property< State > & | state () const =0
| Returns the getable/observable connectivity state of the system. More...
virtual const core::Property< bool > & | is_wifi_enabled () const =0
| Returns a getable/observable boolean property that indicates the state of the wifi subsystem. More...
virtual const core::Property< bool > & | is_wwan_enabled () const =0
| Returns a getable/observable boolean property that indicates the state of the wwan subsystem. More...
virtual const core::Property< bool > & | is_wifi_hardware_enabled () const =0
| Returns a getable/observable boolean property that indicates the state of the wifi hardware. More...
virtual const core::Property< bool > & | is_wwan_hardware_enabled () const =0
| Returns a getable/observable boolean property that indicates the state of the wwan hardware. More...
virtual const core::Property< Characteristics > & | active_connection_characteristics () const =0
| Returns a getable/observable property that describes the characteristics of the active network connection. More...
virtual void | request_scan_for_wireless_networks ()=0
| request_scan_for_wireless_networks schedules a scan for visible wireless networks. More...
virtual const core::Signal & | wireless_network_scan_finished () const =0
| wireless_network_scan_finished is emitted when a scan for wireless networks ends. More...
virtual const core::Signal< WirelessNetwork::Ptr > & | wireless_network_added () const =0
| wireless_network_added is emitted whenever a new wifi becomes visible. More...
virtual const core::Signal< WirelessNetwork::Ptr > & | wireless_network_removed () const =0
| wireless_network_removed is emitted whenever a wifi disappears. More...
virtual void | enumerate_visible_wireless_networks (const std::function< void(const WirelessNetwork::Ptr &)> &) const =0
| Enumerates all wireless networks visible to the device. More...
virtual const core::Signal< RadioCell::Ptr > & | connected_cell_added () const =0
| connected_cell_added is emitted whenever the underlying modem connects to a new cell. More...
virtual const core::Signal< RadioCell::Ptr > & | connected_cell_removed () const =0
| connected_cell_removed is emitted whenever the underlying modem disconnects from a cell. More...
virtual void | enumerate_connected_radio_cells (const std::function< void(const RadioCell::Ptr &)> &) const =0
| Enumerates all radio cells that the device is connected to. More...

## Protected Member Functions
| Manager ()=default

## Detailed Description

The Manager class encapsulates access to network/radio information.

Definition at line 96 of file manager.h.

## Constructor & Destructor Documentation

## ◆ Manager()

com::ubuntu::location::connectivity::Manager::Manager | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ active_connection_characteristics()

virtual const core::Property<Characteristics>& com::ubuntu::location::connectivity::Manager::active_connection_characteristics | ( |  | ) | const
| pure virtual

Returns a getable/observable property that describes the characteristics of the active network connection.

## ◆ connected_cell_added()

virtual const core::Signal<RadioCell::Ptr>& com::ubuntu::location::connectivity::Manager::connected_cell_added | ( |  | ) | const
| pure virtual

connected_cell_added is emitted whenever the underlying modem connects to a new cell.

## ◆ connected_cell_removed()

virtual const core::Signal<RadioCell::Ptr>& com::ubuntu::location::connectivity::Manager::connected_cell_removed | ( |  | ) | const
| pure virtual

connected_cell_removed is emitted whenever the underlying modem disconnects from a cell.

## ◆ enumerate_connected_radio_cells()

virtual void com::ubuntu::location::connectivity::Manager::enumerate_connected_radio_cells | ( | const std::function< void(const RadioCell::Ptr &)> & |  | ) | const
| pure virtual

Enumerates all radio cells that the device is connected to.

## ◆ enumerate_visible_wireless_networks()

virtual void com::ubuntu::location::connectivity::Manager::enumerate_visible_wireless_networks | ( | const std::function< void(const WirelessNetwork::Ptr &)> & |  | ) | const
| pure virtual

Enumerates all wireless networks visible to the device.

## ◆ is_wifi_enabled()

virtual const core::Property<bool>& com::ubuntu::location::connectivity::Manager::is_wifi_enabled | ( |  | ) | const
| pure virtual

Returns a getable/observable boolean property that indicates the state of the wifi subsystem.

If the property's value is false, the Wifi subsystem is turned off (e.g., in flight mode).

## ◆ is_wifi_hardware_enabled()

virtual const core::Property<bool>& com::ubuntu::location::connectivity::Manager::is_wifi_hardware_enabled | ( |  | ) | const
| pure virtual

Returns a getable/observable boolean property that indicates the state of the wifi hardware.

If the property's value is false, the Wifi HW is turned off.

## ◆ is_wwan_enabled()

virtual const core::Property<bool>& com::ubuntu::location::connectivity::Manager::is_wwan_enabled | ( |  | ) | const
| pure virtual

Returns a getable/observable boolean property that indicates the state of the wwan subsystem.

If the property's value is false, the WWan subsystem is turned off (e.g., in flight mode).

## ◆ is_wwan_hardware_enabled()

virtual const core::Property<bool>& com::ubuntu::location::connectivity::Manager::is_wwan_hardware_enabled | ( |  | ) | const
| pure virtual

Returns a getable/observable boolean property that indicates the state of the wwan hardware.

If the property's value is false, the WWan HW is turned off.

## ◆ request_scan_for_wireless_networks()

virtual void com::ubuntu::location::connectivity::Manager::request_scan_for_wireless_networks | ( |  | ) |
| pure virtual

request_scan_for_wireless_networks schedules a scan for visible wireless networks.

Exceptions

  std::runtime_error | to indicate issues arising from the underlying networking stack.

Please note that the implementation is required to operate asynchronously. Results of the scan are reported via emitting the changed() signal on the visible_wireless_networks() property.

Please also note that calling this function is usually not required. The underlying networking stack is updating the list of available wireless networks very frequently. In addition, the results from scans requested by other system components are reported to consumers of this API, too.

## ◆ state()

virtual const core::Property<State>& com::ubuntu::location::connectivity::Manager::state | ( |  | ) | const
| pure virtual

Returns the getable/observable connectivity state of the system.

## ◆ wireless_network_added()

virtual const core::Signal<WirelessNetwork::Ptr>& com::ubuntu::location::connectivity::Manager::wireless_network_added | ( |  | ) | const
| pure virtual

wireless_network_added is emitted whenever a new wifi becomes visible.

## ◆ wireless_network_removed()

virtual const core::Signal<WirelessNetwork::Ptr>& com::ubuntu::location::connectivity::Manager::wireless_network_removed | ( |  | ) | const
| pure virtual

wireless_network_removed is emitted whenever a wifi disappears.

## ◆ wireless_network_scan_finished()

virtual const core::Signal& com::ubuntu::location::connectivity::Manager::wireless_network_scan_finished | ( |  | ) | const
| pure virtual

wireless_network_scan_finished is emitted when a scan for wireless networks ends.

Please note that the signal may also be raised for scans that have been initiated by other system components.

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/connectivity/manager.h